- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# scaleway_security_group – Scaleway Security Group management module

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module manages Security Group on Scaleway account https://developer.scaleway.com.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_timeout integer | Default: 30 | HTTP timeout to Scaleway API in seconds. aliases: timeout
api_token string |  | Scaleway OAuth token. aliases: oauth_token
api_url string | Default: "https://api.scaleway.com" | Scaleway API URL. aliases: base_url
description string |  | Description of the Security Group.
inbound_default_policy string | Choices: accept drop | Default policy for incoming traffic.
name string / required |  | Name of the Security Group.
organization string / required |  | Organization identifier.
organization_default boolean | Choices: no yes | Create security group to be the default one.
outbound_default_policy string | Choices: accept drop | Default policy for outcoming traffic.
query_parameters dictionary | Default: {} | List of parameters passed to the query string.
region string / required | Choices: ams1 EMEA-NL-EVS par1 EMEA-FR-PAR1 | Scaleway region to use (for example `par1`).
state string | Choices: absent present ← | Indicate desired state of the Security Group.
stateful boolean / required | Choices: no yes | Create a stateful security group which allows established connections in and out.
validate_certs boolean | Choices: no yes ← | Validate SSL certs of the Scaleway API.

## Notes

Note

- Also see the API documentation on https://developer.scaleway.com/
- If `api_token` is not set within the module, the following environment variables can be used in decreasing order of precedence `SCW_TOKEN`, `SCW_API_KEY`, `SCW_OAUTH_TOKEN` or `SCW_API_TOKEN`.
- If one wants to use a different `api_url` one can also set the `SCW_API_URL` environment variable.

## Examples

    - name: Create a Security Group
      scaleway_security_group:
        state: present
        region: par1
        name: security_group
        description: "my security group description"
        organization: "43a3b6c8-916f-477b-b7ec-ff1898f5fdd9"
        stateful: false
        inbound_default_policy: accept
        outbound_default_policy: accept
        organization_default: false
      register: security_group_creation_task

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data dictionary | when `state=present` | This is only present when `state=present` Sample: {'scaleway_security_group': {'description': 'my security group description', 'enable_default_security': True, 'id': '0168fb1f-cc46-4f69-b4be-c95d2a19bcae', 'inbound_default_policy': 'accept', 'name': 'security_group', 'organization': '43a3b6c8-916f-477b-b7ec-ff1898f5fdd9', 'organization_default': False, 'outbound_default_policy': 'accept', 'servers': [], 'stateful': False}}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Antoine Barbare (@abarbare)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.